-- This script places a page number in the bottom left corner of each page.

tell application "[AppName]"
	if (count documents) > 0 then
		set pageCount to count (pages of document 1)
		repeat with pageNumber from 1 to pageCount
			set thePage to (page pageNumber) of document 1
			make new text imprint at end of imprints of thePage with properties {rich text:pageNumber as rich text, x position:36, y position:36, height:16, width:30}
		end repeat
		return pageCount
	end if
end tell
