-- This script removes all imprints.

tell application "[AppName]"
	if (count documents) > 0 then
		set imprintCount to 0
		set pageCount to count (pages of document 1)
		repeat with pageNumber from 1 to pageCount
			set thePage to (page pageNumber) of document 1
			set imprintCount to imprintCount + (count (imprints of thePage))
			delete imprints of thePage
		end repeat
		return imprintCount
	end if
end tell
