const strings_base = {
	"title": "Welcome to PDFpen",
	"discover": "Discover all the new features!",
	"learn": "Learn More",
	"later": "Remind me later",
	"subtext": "Version «version» is a paid upgrade",
	"upgrade": "Yes, I'd like to upgrade",
	"never": "Don’t show this window again.<br>I understand version «version» is a paid upgrade.",
	"version": "«version»"
};
const logoImg = document.getElementById('logotype');
logoImg.alt = appName.toLowerCase();
logoImg.src = `${appName}.svg`;
const logoAndVersion = document.getElementById('logoAndVersion');
logoAndVersion.setAttribute('aria-label', `${appName} ${upgradeVersion}`);
Object.keys(strings_base).forEach(function (key) {
	const base = strings_base[key];
	const loc = strings[key];
	const elem = document.getElementById(key);
	let newString = elem.innerHTML.replace(base, loc);
    newString = newString.replace('«version»', upgradeVersion);
    elem.innerHTML = newString;
});
