tell application "[AppName]"
	if (count documents) > 0 then
		tell document 1
			set thePath to "/Applications/PDFpen.app/Contents/Resources/1x1white.pdf"
			set dialogResult to display dialog "Cover how many pixels from top?
(72 = 1 inch; 28.35 = 1 cm)" default answer "36"
			if button returned of dialogResult is not null then
				set theHeight to text returned of dialogResult as real
				set pageCount to count pages
				repeat with aPage in pages
					set imp to make new imprint with properties {path:thePath, x position:1, y position:((height of aPage) - theHeight)} at beginning of imprints of aPage
					set width of imp to (width of aPage as number)
					set height of imp to theHeight
				end repeat
			else
				display dialog "The file " & thePath & " is missing. Please modify the script or replace the file." buttons {"OK"} default button "OK"
			end if
		end tell
	end if
end tell
