-- This script duplicates all imprints from the first page to every subsequent page.

tell application "[AppName]"
	if (count documents) > 0 then
		set pageCount to count (pages of document 1)
		set imprintCount to count (imprints of page 1 of document 1)
		repeat with pageNumber from 2 to pageCount
			repeat with imprintNumber from 1 to imprintCount
				duplicate imprint imprintNumber of page 1 of document 1 to end of imprints of page pageNumber of document 1
			end repeat
		end repeat
	end if
end tell
