-- This script reverses the page order.

tell application "[AppName]"
	if (count documents) > 0 then
		tell document 1
			set pageCount to count pages
			if pageCount > 1 then
				set halfCount to pageCount div 2
				repeat with pageNumber from 1 to halfCount
					move page pageNumber to after page (pageCount - pageNumber + 1)
					move page (pageCount - pageNumber) to before page pageNumber
				end repeat
			end if
		end tell
	end if
end tell
